Get organizations
get
/rest/ofscMetadata/v1/organizations
This operation retrieves a collection of organizations.
Request
There are no request parameters for this operation.
Back to TopResponse
Supported Media Types
- application/json
- application/schema+json
200 Response
This section describes the 200 status response for this operation.
Root Schema : Organizations
Type:
objectThe collection of organizations.
Show Source
-
items:
array items
-
totalResults:
integer
The total number of organizations retrieved.
Nested Schema : Organization
Type:
objectTitle:
Show Source
Organization-
label(required):
string
Title:
LabelMinimum Length:1Maximum Length:255The organization label specified in the request. -
name:
string
Title:
NameThe name of the organization in the user's preferred language. This field is returned only by using the GET method. -
translations(required):
array Translations
Title:
TranslationsAn array of translations associated with the name of the organization. -
type(required):
string
Title:
TypeAllowed Values:[ "contractor", "inhouse" ]The type of the organization.
Nested Schema : Translations
Type:
arrayTitle:
TranslationsAn array of translations associated with the name of the organization.
Show Source
Nested Schema : Translation
Type:
Show Source
object-
language(required):
string
The language code of the translated text. The code in the response is two characters long (for example, 'en', 'es').
See Supported Language Codes to view the values that are supported.
-
languageISO:
string
The ISO language code (for example, 'en-US').
-
name(required):
string
The specified name of the property translated to the language code available in the system.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.